你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn。

Indexers - Get Status

返回索引器的当前状态和执行历史记录。

GET {endpoint}/indexers('{indexerName}')/search.status?api-version=2026-04-01

URI 参数

名称 在 必需 类型 说明
endpoint
path True

string (uri)

搜索服务的终结点 URL。

indexerName
path True

string

索引器的名称。

api-version
query True

string

minLength: 1

用于此操作的 API 版本。

请求头

名称 必需 类型 说明
Accept

Accept

接受(Accept)首部。

x-ms-client-request-id

string (uuid)

请求的不透明、全局唯一的客户端生成的字符串标识符。

响应

名称 类型 说明
200 OK

SearchIndexerStatus

请求已成功。

Other Status Codes

ErrorResponse

意外的错误响应。

安全性

api-key

类型: apiKey
在: header

OAuth2Auth

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

作用域

名称 说明
https://search.azure.com/.default

示例

SearchServiceGetIndexerStatus
SearchServiceGetS3HDUnlimitedIndexerStatus

SearchServiceGetIndexerStatus

示例请求

GET https://exampleservice.search.windows.net/indexers('myindexer')/search.status?api-version=2026-04-01

示例响应

{
  "name": "myindexer",
  "status": "running",
  "lastResult": {
    "status": "success",
    "startTime": "2014-11-26T03:37:18.853Z",
    "endTime": "2014-11-26T03:37:19.012Z",
    "itemsProcessed": 11,
    "itemsFailed": 0,
    "errors": [],
    "warnings": []
  },
  "executionHistory": [
    {
      "status": "success",
      "startTime": "2014-11-26T03:37:18.853Z",
      "endTime": "2014-11-26T03:37:19.012Z",
      "itemsProcessed": 11,
      "itemsFailed": 0,
      "errors": [],
      "warnings": []
    },
    {
      "status": "transientFailure",
      "startTime": "2014-11-26T03:28:10.125Z",
      "endTime": "2014-11-26T03:28:12.007Z",
      "itemsProcessed": 1,
      "itemsFailed": 2,
      "errors": [
        {
          "key": "",
          "statusCode": 400,
          "errorMessage": "Document key cannot be missing or empty."
        },
        {
          "key": "document id 1",
          "statusCode": 400,
          "name": "DocumentExtraction.AzureBlob.MyDataSource",
          "errorMessage": "Could not read the value of column 'foo' at index '0'.",
          "details": "The file could not be parsed.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2049388"
        }
      ],
      "warnings": [
        {
          "key": "document id",
          "message": "A warning doesn't stop indexing, and is intended to inform you of certain interesting situations, like when a blob indexer truncates the amount of text extracted from a blob."
        },
        {
          "key": "document id 2",
          "name": "Enrichment.LanguageDetectionSkill.#4",
          "message": "Document was truncated to 50000 characters.",
          "details": "The skill did something that didn't break anything, nonetheless something we didn't expect happened, so it might be worth double checking.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2099692"
        }
      ]
    }
  ],
  "limits": {
    "maxRunTime": "PT22H",
    "maxDocumentExtractionSize": 256000000,
    "maxDocumentContentCharactersToExtract": 4000000
  }
}

SearchServiceGetS3HDUnlimitedIndexerStatus

示例请求

GET https://exampleservice.search.windows.net/indexers('myindexer')/search.status?api-version=2026-04-01

示例响应

{
  "name": "myindexer",
  "status": "running",
  "lastResult": {
    "status": "success",
    "startTime": "2014-11-26T03:37:18.853Z",
    "endTime": "2014-11-26T03:37:19.012Z",
    "itemsProcessed": 11,
    "itemsFailed": 0,
    "errors": [],
    "warnings": []
  },
  "executionHistory": [
    {
      "status": "success",
      "startTime": "2014-11-26T03:37:18.853Z",
      "endTime": "2014-11-26T03:37:19.012Z",
      "itemsProcessed": 11,
      "itemsFailed": 0,
      "errors": [],
      "warnings": []
    },
    {
      "status": "transientFailure",
      "startTime": "2014-11-26T03:28:10.125Z",
      "endTime": "2014-11-26T03:28:12.007Z",
      "itemsProcessed": 1,
      "itemsFailed": 2,
      "errors": [
        {
          "key": "",
          "statusCode": 400,
          "errorMessage": "Document key cannot be missing or empty."
        },
        {
          "key": "document id 1",
          "statusCode": 400,
          "name": "DocumentExtraction.AzureBlob.MyDataSource",
          "errorMessage": "Could not read the value of column 'foo' at index '0'.",
          "details": "The file could not be parsed.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2049388"
        }
      ],
      "warnings": [
        {
          "key": "document id",
          "message": "A warning doesn't stop indexing, and is intended to inform you of certain interesting situations, like when a blob indexer truncates the amount of text extracted from a blob."
        },
        {
          "key": "document id 2",
          "name": "Enrichment.LanguageDetectionSkill.#4",
          "message": "Document was truncated to 50000 characters.",
          "details": "The skill did something that didn't break anything, nonetheless something we didn't expect happened, so it might be worth double checking.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2099692"
        }
      ]
    }
  ],
  "limits": {
    "maxRunTime": "PT22H",
    "maxDocumentExtractionSize": 256000000,
    "maxDocumentContentCharactersToExtract": 4000000
  }
}

定义

名称 说明
Accept

接受(Accept)首部。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

所有 Azure 资源管理器 API 的通用错误响应,用于返回失败操作的错误细节。 (这也遵循 OData 错误响应格式)。

IndexerExecutionResult

表示单个索引器执行的结果。

IndexerExecutionStatus

表示单个索引器执行的状态。

IndexerStatus

表示总体索引器状态。

SearchIndexerError

表示项级或文档级索引错误。

SearchIndexerLimits

表示索引器可以施加的限制。

SearchIndexerStatus

表示索引器的当前状态和执行历史记录。

SearchIndexerWarning

表示项级警告。

Accept

接受(Accept)首部。

值 说明
application/json;odata.metadata=minimal

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

附加信息。

type

string

附加信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

所有 Azure 资源管理器 API 的通用错误响应,用于返回失败操作的错误细节。 (这也遵循 OData 错误响应格式)。

名称 类型 说明
error

ErrorDetail

错误对象。

IndexerExecutionResult

表示单个索引器执行的结果。

名称 类型 说明
endTime

string (date-time)

如果执行已完成,则此索引器执行的结束时间。

errorMessage

string

指示顶级错误的错误消息(如果有)。

errors

SearchIndexerError[]

项级索引错误。

finalTrackingState

string

更改索引器执行完成的跟踪状态。

initialTrackingState

string

更改索引器执行启动的跟踪状态。

itemsFailed

integer (int32)

在此索引器执行期间未能编制索引的项数。

itemsProcessed

integer (int32)

在此索引器执行期间处理的项数。 这包括已成功处理的项和尝试索引但失败的项。

startTime

string (date-time)

此索引器执行的开始时间。

status

IndexerExecutionStatus

此索引器执行的结果。

warnings

SearchIndexerWarning[]

项级索引警告。

IndexerExecutionStatus

表示单个索引器执行的状态。

值 说明
transientFailure

索引器调用失败,但失败可能是暂时性的。 索引器调用将按计划继续进行。

success

索引器执行已成功完成。

inProgress

索引器执行正在进行中。

reset

索引器已重置。

IndexerStatus

表示总体索引器状态。

值 说明
unknown

指示索引器处于未知状态。

error

指示索引器遇到错误,如果没有人工干预,该错误无法更正。

running

指示索引器正在正常运行。

SearchIndexerError

表示项级或文档级索引错误。

名称 类型 说明
details

string

此外,有关错误的详细详细信息,可帮助调试索引器。 这可能并非始终可用。

documentationLink

string

指向这些错误类故障排除指南的链接。 这可能并非始终可用。

errorMessage

string

描述处理项时发生的错误的消息。

key

string

索引失败的项的键。

name

string

错误源自的源的名称。 例如,这可能指附加技能集中的特定技能。 这可能并非始终可用。

statusCode

integer (int32)

指示索引作失败的原因的状态代码。 可能的值包括:400 表示格式不正确的输入文档、未找到文档的 404、版本冲突为 409、索引暂时不可用时为 422;对于服务太忙时为 503。

SearchIndexerLimits

表示索引器可以施加的限制。

名称 类型 说明
maxDocumentContentCharactersToExtract

integer (int64)

将从选取的文档中提取的最大字符数进行索引编制。

maxDocumentExtractionSize

integer (int64)

文档的最大大小(以字节为单位),这些大小将被视为对索引有效。

maxRunTime

string (duration)

允许索引器为一次执行运行的最大持续时间。

SearchIndexerStatus

表示索引器的当前状态和执行历史记录。

名称 类型 说明
executionHistory

IndexerExecutionResult[]

最近索引器执行的历史记录,按反向时间顺序排序。

lastResult

IndexerExecutionResult

最新或正在进行的索引器执行的结果。

limits

SearchIndexerLimits

索引器的执行限制。

name

string

索引器的名称。

status

IndexerStatus

总体索引器状态。

SearchIndexerWarning

表示项级警告。

名称 类型 说明
details

string

此外,有关警告的详细详细信息,可帮助调试索引器。 这可能并非始终可用。

documentationLink

string

指向这些警告类故障排除指南的链接。 这可能并非始终可用。

key

string

生成警告的项的键。

message

string

描述处理项时发生的警告的消息。

name

string

发出警告的源的名称。 例如,这可能指附加技能集中的特定技能。 这可能并非始终可用。